.product-image-wrapper-inner {
    position: relative; 
    margin-bottom: 8px !important;
    height: fit-content;
}
.product-badge-wrapper {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    width: 100%;
    height: 35px;
    bottom: 0;
    border-radius: 0 0 16px 16px;
    padding: 0 20px;
}
.product-badge-wrapper .product-badge-text {
    text-transform: uppercase;
    font-size: clamp(11px, 2vw, 18px);
    width: fit-content;
    font-weight: 700;
    color: var(--nd-theme-white);
}
.product-badge-wrapper .product-badge-image {
    width: 25px !important;
    height: 25px !important;
    margin-bottom: 0px !important;
    background-color: transparent !important;
}
.product-badge-clearance{
    background: #BF5B59;
    background: linear-gradient(90deg, rgba(191, 91, 89, 1) 0%, rgba(165, 46, 43, 1) 100%);
}
.product-badge-new-release{
    background: #49AF8D;
    background: linear-gradient(90deg, rgba(73, 175, 141, 1) 0%, rgba(0, 143, 95, 1) 100%);
}
.product-badge-just-restocked{
    background: #87A753;
    background: linear-gradient(90deg, rgba(135, 167, 83, 1) 0%, rgba(88, 143, 0, 1) 100%);
}
.product-badge-out-of-stock{
    background: #E25F63;
    background: linear-gradient(90deg, rgba(226, 95, 99, 1) 0%, rgba(202, 32, 38, 1) 100%);
}
.product-badge-staffs-pick{
    background: #6F71CF;
    background: linear-gradient(90deg, rgba(111, 113, 207, 1) 0%, rgba(65, 67, 189, 1) 100%);
}
.product-badge-toms-pick, .product-badge-joshs-pick, .product-badge-monas-pick{
    background: #FFB68B;
    background: linear-gradient(90deg, rgba(255, 182, 139, 1) 0%, rgba(242, 110, 33, 1) 100%);
}
@media only screen and (max-width: 576px) {
    .product-badge-wrapper {
        height: 26px !important;
    }
    .product-badge-wrapper {
        gap: 10px !important;
    }
    .product-badge-wrapper .product-badge-image {
        width: 18px !important;
        height: 18px !important;
    }
}
@media only screen and (max-width: 370px) {
    .filtered-products-grid .product-badge-wrapper .product-badge-text {
        font-size: 16px;
    }
    .filtered-products-grid .product-badge-wrapper {
        height: 35px !important;
    }
}